Deep crawl a project domain for content inventory
POST
/api/projects/{id}/deep-crawl
Authentication
API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Example:
"abc123"Request Body
application/jsondomain
string
REQUIRED
Responses
200
Deep crawl result with brand, content, and messaging
application/jsonresult
object
REQUIRED
brand
object
REQUIRED
colors
object
REQUIRED
primary
string
REQUIRED
secondary
string
REQUIRED
accent
string
REQUIRED
background
string
REQUIRED
foreground
string
REQUIRED
fonts
object
REQUIRED
heading
string
REQUIRED
body
string
REQUIRED
brandName
string
REQUIRED
logoUrl
string
REQUIRED
content
object
REQUIRED
tagline
string
REQUIRED
description
string
REQUIRED
features
object[]
REQUIRED
Array of:
title
string
REQUIRED
description
string
REQUIRED
icon
string
pricing
object[]
REQUIRED
Array of:
tier
string
REQUIRED
price
string
REQUIRED
features
string[]
REQUIRED
Array of:
testimonials
object[]
REQUIRED
Array of:
quote
string
REQUIRED
author
string
REQUIRED
role
string
stats
object[]
REQUIRED
Array of:
label
string
REQUIRED
value
string
REQUIRED
announcements
object[]
REQUIRED
Array of:
title
string
REQUIRED
date
string
body
string
REQUIRED
codeExamples
object[]
REQUIRED
Array of:
language
string
REQUIRED
code
string
REQUIRED
label
string
pages
object[]
REQUIRED
Array of:
url
string
REQUIRED
title
string
REQUIRED
type
string
REQUIRED
messaging
object
REQUIRED
tone
string
REQUIRED
targetAudience
string
REQUIRED
valueProps
string[]
REQUIRED
Array of:
ctas
string[]
REQUIRED
Array of:
design
object
REQUIRED
vibe
string
REQUIRED
borderRadius
string
REQUIRED
backgroundPattern
string
hasGlassmorphism
boolean
REQUIRED
hasGradientBorders
boolean
REQUIRED
hasRadialGlows
boolean
REQUIRED
monoFont
string
sectionLabelStyle
string
colorScheme
string
REQUIRED
Enum:
dark, light
401
Authentication required
404
Project not found
500
Deep crawl failed
curl -X POST 'https://motioness.com/api/projects/abc123/deep-crawl' \ -H 'Content-Type: application/json' \ -d '{ "domain": "string"}'
const response = await fetch('https://motioness.com/api/projects/abc123/deep-crawl', { method: 'POST', headers: { "Content-Type": "application/json" }, body: JSON.stringify({ "domain": "string" })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://motioness.com/api/projects/abc123/deep-crawl', json={ "domain": "string"})print(response.json())
200
Response
{ "result": { "brand": { "colors": { "primary": "<string>", "secondary": "<string>", "accent": "<string>", "background": "<string>", "foreground": "<string>" }, "fonts": { "heading": "<string>", "body": "<string>" }, "brandName": "<string>", "logoUrl": "<string>" }, "content": { "tagline": "<string>", "description": "<string>", "features": [ { "title": "<string>", "description": "<string>", "icon": "<string>" } ], "pricing": [ { "tier": "<string>", "price": "<string>", "features": [ {} ] } ], "testimonials": [ { "quote": "<string>", "author": "<string>", "role": "<string>" } ], "stats": [ { "label": "<string>", "value": "<string>" } ], "announcements": [ { "title": "<string>", "date": "<string>", "body": "<string>" } ], "codeExamples": [ { "language": "<string>", "code": "<string>", "label": "<string>" } ], "pages": [ { "url": "<string>", "title": "<string>", "type": "<string>" } ] }, "messaging": { "tone": "<string>", "targetAudience": "<string>", "valueProps": [ "<string>" ], "ctas": [ "<string>" ] }, "design": { "vibe": "<string>", "borderRadius": "<string>", "backgroundPattern": "<string>", "hasGlassmorphism": true, "hasGradientBorders": true, "hasRadialGlows": true, "monoFont": "<string>", "sectionLabelStyle": "<string>", "colorScheme": "dark" } }}
API Playground
Try this endpoint
POST
/api/projects/{id}/deep-crawl